public static interface Olingo2EndpointBuilderFactory.Olingo2Builders
| Modifier and Type | Method and Description |
|---|---|
default Olingo2EndpointBuilderFactory.Olingo2EndpointBuilder |
olingo2(String path)
Olingo2 (camel-olingo2)
Communicate with OData 2.0 services using Apache Olingo.
|
default Olingo2EndpointBuilderFactory.Olingo2EndpointBuilder |
olingo2(String componentName,
String path)
Olingo2 (camel-olingo2)
Communicate with OData 2.0 services using Apache Olingo.
|
default Olingo2EndpointBuilderFactory.Olingo2EndpointBuilder olingo2(String path)
olingo2:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 1 enums and the value can be one of: DEFAULT
Path parameter: methodName (required)
What sub operation to use for the selected operationpath - apiName/methodNamedefault Olingo2EndpointBuilderFactory.Olingo2EndpointBuilder olingo2(String componentName, String path)
olingo2:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 1 enums and the value can be one of: DEFAULT
Path parameter: methodName (required)
What sub operation to use for the selected operationcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel